Opened 4 years ago

Closed 3 years ago

#661 closed defect (fixed)

rasgeo constraints to Postgresql >= 9

Reported by: pcampalani Owned by: dmisev
Priority: major Milestone: 9.0.x
Component: rasgeo Version: development
Keywords: postgresql 8.4 Cc: dmisev, HerzigA@…
Complexity: Medium

Description

Directly from Dirk's comment on m-list:

A colleague of mine tried to compile both the Rasdaman master branch and version 9.0.0-rc1 against PostgreSQL version 8.4.x. 

He gets a compilation error when building the rasgeo related classes:



make[4]: Leaving directory `/home/rasdaman/software/rasdaman/applications/rasgeo/wms-import/utilities'

make[4]: Entering directory `/home/rasdaman/software/rasdaman/applications/rasgeo'

g++ -DHAVE_CONFIG_H -I. -I../..   -I/usr/local/netcdf/include -I/usr/local/netpbm/include -I/usr/local/hdf4/include -g3 -gdwarf-2 -O0 -rdynamic  -I/home/rasdaman/software/rasdaman -I/home/rasdaman/software/rasdaman/debug -I/home/rasdaman/software/rasdaman/include   -I/usr/include   -I/usr/local/gdal/include -g3 -gdwarf-2 -O0 -rdynamic  -I/home/rasdaman/software/rasdaman -I/home/rasdaman/software/rasdaman/debug -I/home/rasdaman/software/rasdaman/include  -DSHARE_DATA_DIR=\"/usr/local/rasdaman/share/rasdaman/\" -DCONFDIR=\"/usr/local/rasdaman/etc/\" -DBINDIR=\"/usr/local/rasdaman/bin/\" -DLOGDIR=\"/usr/local/rasdaman/log/\" -MT RasdamanHelper2.o -MD -MP -MF .deps/RasdamanHelper2.Tpo -c -o RasdamanHelper2.o RasdamanHelper2.cc

RasdamanHelper2.cc: In member function ‘int RasdamanHelper2::writeExtraMetadata(long int, const std::string&)’:

RasdamanHelper2.cc:1590: error: ‘PQescapeLiteral’ was not declared in this scope

RasdamanHelper2.cc: In member function ‘std::vector<double, std::allocator<double> > RasdamanHelper2::queryImageOIDs(const std::string&)’:

RasdamanHelper2.cc:1750: error: ‘PQescapeLiteral’ was not declared in this scope

RasdamanHelper2.cc: In member function ‘int RasdamanHelper2::writeRAT(const std::string&, double, int)’:

RasdamanHelper2.cc:2195: error: ‘PQescapeIdentifier’ was not declared in this scope

RasdamanHelper2.cc:2254: error: ‘PQescapeLiteral’ was not declared in this scope

make[4]: *** [RasdamanHelper2.o] Error 1

make[4]: Leaving directory `/home/rasdaman/software/rasdaman/applications/rasgeo'

make[3]: *** [all-recursive] Error 1

make[3]: Leaving directory `/home/rasdaman/software/rasdaman/applications/rasgeo'

make[2]: *** [all-recursive] Error 1

make[2]: Leaving directory `/home/rasdaman/software/rasdaman/applications'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/home/rasdaman/software/rasdaman'

make: *** [all] Error 2

 

Is there a dependency switch for PostgreSQL when upgrading from Rasdaman v8.4 to v9.0?

The PQescapeLiteral and PQescapeIdentifier functions don’t seem to be available in PostgreSQL v8.4.x.

Attachments (1)

0001-ticket-661-fix-compilation-with-PG-9.patch (4.5 KB) - added by dmisev 4 years ago.
patch

Download all attachments as: .zip

Change History (3)

Changed 4 years ago by dmisev

patch

comment:1 Changed 4 years ago by dmisev

Patch submitted, can you please test if it works?
attachment:0001-ticket-661-fix-compilation-with-PG-9.patch

comment:2 Changed 3 years ago by dmisev

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.